
WHMCS - Bug # 129: All custom field groups being displayed

Status: Closed Priority: High

Author: W Kish Category:

Created: 02 Jan 2013 Assignee: Amarjeet Kaur

Updated: 16 Jan 2013 Due date:

Subject: All custom field groups being displayed

Description: When submitting a ticket, all custom field groups are being displayed regardless of the department selected.





History

01/03/2013 02:56 am - Mahesh Salaria

- Assignee set to Amarjeet Kaur

01/03/2013 04:14 am - Adam FiÅ¡er

W Kish wrote:


> When submitting a ticket, all custom field groups are being displayed regardless of the department selected.





same for me

01/04/2013 05:17 am - Amarjeet Kaur

Hi,





I have tried to replicate this issue, but was not able to find it. I have followed following steps:





1. Created custom group of  type *'Staff & User Ticket creation'*, *'User Ticket creation'* and *'User'* respectively in Admin Panel.





2. Added custom field under above custom field groups.





3. Checked ticket creation under WHMCS, here I got only those fields which are under *'Staff & User Ticket creation'* and *'User Ticket creation'* 

respectively.





These fields are dependent on *Custom field groups* instead of the *departments in drop down* at the time of *ticket creation*.





Please let us know if you still face any issue.





Thank you,


Amarjeet Kaur


01/04/2013 06:21 am - W Kish

I have several *Custom field groups* which are set to either *'Staff & User Ticket creation'* or *'User Ticket creation'*.


* Each group is assigned to a specific department.


* Each group has custom fields assigned to them.





For example:


* GroupA  | User Ticket creation | Assigned Departments: DeptA


* GroupB  | Staff & User Ticket creation | Assigned Departments: DeptB


* GroupC  | User Ticket creation | Assigned Departments: DeptC





These settings work just fine when submitting a ticket in kayako, such as when selecting *DeptA*, it only shows the custom fields from *GroupA* .
When submitting a ticket in whmcs, selecting *DeptA* (or any other) shows the custom fields from *GroupA*, *GroupB*, and *GroupC* .





It appears that Department permissions are being ignored.





01/09/2013 04:09 am - Amarjeet Kaur

- File submitticket.php added

- File class.Controller_CustomFieldGroup.php added

Hi,





Please update attached files in *Kayako Helpdesk installation* and WHMCS installation respectively at following paths:





class.Controller_CustomFieldGroup.php  ---  (under *Kayako_Helpdesk_Installation_folder/__swift/apps/base/api/*)





submitticket.php  ---- (under  *WHMCS_Installation_folder/modules/support/kayako/*)





Please let us know if you still face any issue with it.





Thank you,


Amarjeet Kaur

01/10/2013 02:23 pm - W Kish

That fixed it, thanks.





01/11/2013 06:18 am - Amarjeet Kaur

- Status changed from New to Resolved

01/16/2013 05:52 am - Amarjeet Kaur

- Status changed from Resolved to Closed

Files

submitticket.php 5.8 kB 09 Jan 2013 Amarjeet Kaur

class.Controller_CustomFieldGroup.php 2.9 kB 09 Jan 2013 Amarjeet Kaur
